org.apache.ode.bpel.o

## Class OAgent

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OAgent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    OActivity, OEventHandler, OEventHandler.OAlarm

      public class OAgent
      extends OBase

  Base class for active BPEL agents.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Set<OLink>` | `incomingLinks` Links entering this agent.
    `java.util.Set<OAgent>` | `nested` The children of this agent.
    `java.util.Set<OLink>` | `outgoingLinks` Links exiting this agent.
    `java.util.Set<OScope.Variable>` | `variableRd` Variables read from.
    `java.util.Set<OScope.Variable>` | `variableWr` Variables written to.

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OAgent(OProcess owner)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### incomingLinks

          public final java.util.Set<OLink> incomingLinks

      Links entering this agent.

    - #### outgoingLinks

          public final java.util.Set<OLink> outgoingLinks

      Links exiting this agent.

    - #### variableRd

          public final java.util.Set<OScope.Variable> variableRd

      Variables read from.

    - #### variableWr

          public final java.util.Set<OScope.Variable> variableWr

      Variables written to.

    - #### nested

          public final java.util.Set<OAgent> nested

      The children of this agent.

  - ### Constructor Detail

    - #### OAgent

          public OAgent(OProcess owner)